/*
 * wind3d.h --
 *
 *	Interface definitions for the 'glue' between the window
 *	manager and the 3D rendering window
 *
 * rcsid $Header: /ufs/repository/magic/graphics/wind3d.h,v 1.2 2001/01/12 22:12:16 jsolomon Exp $
 */

#define _WIND3D

#ifndef _MAGIC
    err0 = Need_to_include_misc/magic_header;
#endif	_MAGIC
#ifndef	_GEOMETRY
    err1 = Need_to_include_utils/geometry_header;
#endif	_GEOMETRY
#ifndef _WINDOWS
    err2 = Need_to_include_windows/windows_header;
#endif	_WINDOWS

/* Data structures */

typedef struct
{
    float	view_x;		/* View angle around x axis */
    float	view_y;		/* View angle around y axis */
    float	view_z;		/* View angle around z axis */

    float	trans_x;	/* Translation in x */
    float	trans_y;	/* Translation in y */
    float	trans_z;	/* Translation in z */

    float	scale_xy;	/* Size scaling */
    float	scale_z;	/* Depth scaling */

    int		width;		/* Window width */
    int		height;		/* Window height */

    Rect	clipArea;	/* Layout area to render */
} W3DclientRec;

/* Exported procedures */

extern void w3dSetProjection();
extern int W3Dcommand();

/* Command procedures */

extern Void w3dView();
extern Void w3dScroll();
extern Void w3dZoom();

extern WindClient W3DclientID;
extern char *W3DCommandNames[];
extern int (*w3dCommandProcs[])();
